GNU Radio's FOSPHOR Package

Public Attributes | List of all members
_cl_image_desc Struct Reference

`#include <cl_compat.h>`

## Public Attributes
cl_mem_object_type | image_type
size_t | image_width
size_t | image_height
size_t | image_depth
size_t | image_array_size
size_t | image_row_pitch
size_t | image_slice_pitch
cl_uint | num_mip_levels
cl_uint | num_samples
cl_mem | buffer

## Member Data Documentation

## ◆ buffer

cl_mem _cl_image_desc::buffer

## ◆ image_array_size

size_t _cl_image_desc::image_array_size

## ◆ image_depth

size_t _cl_image_desc::image_depth

## ◆ image_height

size_t _cl_image_desc::image_height

## ◆ image_row_pitch

size_t _cl_image_desc::image_row_pitch

## ◆ image_slice_pitch

size_t _cl_image_desc::image_slice_pitch

## ◆ image_type

cl_mem_object_type _cl_image_desc::image_type

## ◆ image_width

size_t _cl_image_desc::image_width

## ◆ num_mip_levels

cl_uint _cl_image_desc::num_mip_levels

## ◆ num_samples

cl_uint _cl_image_desc::num_samples

The documentation for this struct was generated from the following file:

- cl_compat.h